Avatar v3
Reference for the Avatar v3 endpoints on Roblox.
Base URL: https://avatar.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
PATCH |
/v3/outfits/:userOutfitId |
patchOutfitsUseroutfitid |
GET |
/v3/outfits/:userOutfitId/details |
getOutfitsUseroutfitidDetails |
POST |
/v3/outfits/create |
postOutfitsCreate |
patchOutfitsUseroutfitid
Section titled “patchOutfitsUseroutfitid”PATCH /v3/outfits/:userOutfitId
Updates the contents of an outfit.
Usage
import { fetchApi } from 'rozod';import { patchOutfitsUseroutfitid } from 'rozod/endpoints/avatarv3';
const data = await fetchApi(patchOutfitsUseroutfitid, { userOutfitId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userOutfitId |
integer |
Yes | The user outfit id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
bodyColor3s |
object |
See below |
assets |
object[] |
See below |
scale |
object |
See below |
playerAvatarType |
string |
|
outfitType |
`0 | 1 |
bodyColor3s fields:
| Field | Type | Description |
|---|---|---|
headColor3 |
string |
|
torsoColor3 |
string |
|
rightArmColor3 |
string |
|
leftArmColor3 |
string |
|
rightLegColor3 |
string |
|
leftLegColor3 |
string |
assets[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
meta |
object |
See below |
meta fields:
| Field | Type | Description |
|---|---|---|
order |
number |
|
puffiness |
number |
|
position |
object |
See below |
rotation |
object |
See below |
scale |
object |
See below |
headShape |
`0 | 1 |
staticFacialAnimation |
boolean |
|
version |
number |
position fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
rotation fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
scale fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
scale fields:
| Field | Type | Description |
|---|---|---|
height |
number |
|
width |
number |
|
head |
number |
|
depth |
number |
|
proportion |
number |
|
bodyType |
number |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
isEditable |
boolean |
|
outfitType |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 3: Body colors must be valid BrickColor IDs 4: Invalid outfit name 5: Asset is not wearable by you 8: Invalid Player Avatar Type. Valid types are R6 and R15 11: Meta does not apply to specified asset type 12: Meta is required for this specific asset type 13: Invalid Outfit Type 14: Invalid scale |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: You don't have permission to update this outfit. |
| 404 | 1: The specified userOutfit does not exist! |
| 500 | 6: An error occurred while trying to update the outfit |
getOutfitsUseroutfitidDetails
Section titled “getOutfitsUseroutfitidDetails”GET /v3/outfits/:userOutfitId/details
Gets details about the contents of an outfit.
Usage
import { fetchApi } from 'rozod';import { getOutfitsUseroutfitidDetails } from 'rozod/endpoints/avatarv3';
const data = await fetchApi(getOutfitsUseroutfitidDetails, { userOutfitId: /* integer */, checkAssetAvailability: /* boolean? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userOutfitId |
integer |
Yes | The user outfit id. |
checkAssetAvailability |
boolean? |
No | Whether to return assets with availability status. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
assets |
object[] |
See below |
bodyColor3s |
object |
See below |
scale |
object |
See below |
playerAvatarType |
string |
|
outfitType |
string |
|
isEditable |
boolean |
|
universeId |
number |
|
moderationStatus |
string |
|
bundleId |
number |
|
inventoryType |
string |
assets[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
assetType |
object |
See below |
currentVersionId |
number |
|
meta |
object |
See below |
availabilityStatus |
string |
|
expirationTime |
string |
|
supportsHeadShapes |
boolean |
assetType fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
meta fields:
| Field | Type | Description |
|---|---|---|
order |
number |
|
puffiness |
number |
|
position |
object |
See below |
rotation |
object |
See below |
scale |
object |
See below |
headShape |
`0 | 1 |
staticFacialAnimation |
boolean |
|
version |
number |
position fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
rotation fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
scale fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
bodyColor3s fields:
| Field | Type | Description |
|---|---|---|
headColor3 |
string |
|
torsoColor3 |
string |
|
rightArmColor3 |
string |
|
leftArmColor3 |
string |
|
rightLegColor3 |
string |
|
leftLegColor3 |
string |
scale fields:
| Field | Type | Description |
|---|---|---|
height |
number |
|
width |
number |
|
head |
number |
|
depth |
number |
|
proportion |
number |
|
bodyType |
number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: The outfit for the specified userOutfit is invalid. |
| 403 | 3: The requester does not have access to the details for the given user outfit. |
| 404 | 1: The specified userOutfitId is invalid. |
postOutfitsCreate
Section titled “postOutfitsCreate”POST /v3/outfits/create
Creates a new outfit.
Usage
import { fetchApi } from 'rozod';import { postOutfitsCreate } from 'rozod/endpoints/avatarv3';
const data = await fetchApi(postOutfitsCreate, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
bodyColor3s |
object |
See below |
assets |
object[] |
See below |
scale |
object |
See below |
playerAvatarType |
string |
|
outfitType |
`0 | 1 |
bodyColor3s fields:
| Field | Type | Description |
|---|---|---|
headColor3 |
string |
|
torsoColor3 |
string |
|
rightArmColor3 |
string |
|
leftArmColor3 |
string |
|
rightLegColor3 |
string |
|
leftLegColor3 |
string |
assets[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
meta |
object |
See below |
meta fields:
| Field | Type | Description |
|---|---|---|
order |
number |
|
puffiness |
number |
|
position |
object |
See below |
rotation |
object |
See below |
scale |
object |
See below |
headShape |
`0 | 1 |
staticFacialAnimation |
boolean |
|
version |
number |
position fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
rotation fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
scale fields:
| Field | Type | Description |
|---|---|---|
X |
number |
|
Y |
number |
|
Z |
number |
scale fields:
| Field | Type | Description |
|---|---|---|
height |
number |
|
width |
number |
|
head |
number |
|
depth |
number |
|
proportion |
number |
|
bodyType |
number |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
isEditable |
boolean |
|
outfitType |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 3: Body colors must be valid BrickColor IDs 4: Invalid outfit name 5: Asset is not wearable by you and was not added to the outfit 7: Invalid Player Avatar Type. Valid types are R6 and R15 8: Invalid assetIds 9: Meta does not apply to specified asset type 10: Required meta is not provided for the specific asset type 12: Outfit type invalid or not permitted 13: Invalid Scale |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 1: You already have the maximum number of outfits |
| 500 | 6: An error occurred while creating the outfit |